//
// Classify200Response.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct Classify200Response: Codable, JSONEncodable, Hashable {

    public var classifications: [Classify200ResponseClassificationsInner]?
    public var detections: [Classify200ResponseDetectionsInner]?

    public init(classifications: [Classify200ResponseClassificationsInner]? = nil, detections: [Classify200ResponseDetectionsInner]? = nil) {
        self.classifications = classifications
        self.detections = detections
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case classifications
        case detections
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(classifications, forKey: .classifications)
        try container.encodeIfPresent(detections, forKey: .detections)
    }
}

